Search found 10 matches

by lleche
2015-06-20T23:48:59-07:00
Forum: Bugs
Topic: Can't build ImageMagick 6.9.1-6.
Replies: 7
Views: 4750

Re: Can't build ImageMagick 6.9.1-6.

Thanks for the feedback. As requested: Content of libxml-2.0.pc (installed via Homebrew) prefix=/usr/local/Cellar/libxml2/2.9.2 exec_prefix=${prefix} libdir=${exec_prefix}/lib includedir=${prefix}/include modules=1 Name: libXML Version: 2.9.2 Description: libXML library version2. Requires: Libs: -L$...
by lleche
2015-06-20T08:07:55-07:00
Forum: Bugs
Topic: Can't build ImageMagick 6.9.1-6.
Replies: 7
Views: 4750

Can't build ImageMagick 6.9.1-6.

Can't build ImageMagick 6.9.1-6, nor 6.9.1-5. Could install 6.9.1-4 without problems on same configuration.. System: MacOSX 10.10.3 (14D136), with Xcode 6.1.1 (6A2008a). Issue: error reported by 'make': libtool: compile: gcc -DHAVE_CONFIG_H -I. -I. -I/usr/local/include -DMAGICKCORE_HDRI_ENABLE=1 -DM...
by lleche
2014-12-30T02:21:35-07:00
Forum: Bugs
Topic: Can't build ImageMagick 6.9.0-2
Replies: 2
Views: 4467

Can't build ImageMagick 6.9.0-2

Can't build ImageMagick 6.9.0-2. Could install 6.9.0-0 without problems on same configuration.. System: MacOSX 10.10.1 (14B25), with Xcode 6.1.1 (6A2008a). Issue: error reported by 'make': /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I/usr/local/include -DMAGICKCORE_HDRI_EN...
by lleche
2013-04-13T09:05:39-07:00
Forum: Bugs
Topic: error installing IM 6.8.4.9 Q16 Mac OSX Snow Leopard
Replies: 10
Views: 8309

Re: error installing IM 6.8.4.9 Q16 Mac OSX Snow Leopard

Did succeed to build IM 6.8.4-9 on MacOSX 10.8.3 with the following config: ./configure CPPFLAGS='-I/opt/local/include' LDFLAGS='-L/opt/local/lib' \ --enable-delegate-build --enable-shared --enable-hdri --disable-static --disable-opencl \ --with-modules --with-perl=/Users/Landry/perl5/perlbrew/perls...
by lleche
2013-03-02T13:20:28-07:00
Forum: PerlMagick
Topic: Can I change the option DMAGICKCORE_HDRI_ENABLE?
Replies: 1
Views: 6239

Can I change the option DMAGICKCORE_HDRI_ENABLE?

Hi, seems that some changes were to Makefile.PL. In version "ImageMagick 6.8.3-6" , I see the option DMAGICKCORE_HDRI_ENABLE=0. Shall I set it to 1 if I want to build perlmagick with HDRI version enabled? Not clear what it does, and could not find any info despite some effort (searching forum, googl...
by lleche
2013-02-16T00:08:30-07:00
Forum: Bugs
Topic: Can't build ImageMagick
Replies: 3
Views: 4903

Can't build ImageMagick

Still can't build ImageMagick, apparently due to graphviz changes. Log file under MacOSX 10.8.2, build using MacPorts, graphviz version @2.30.0, Revision 2, Imagemagick version 6.8.3-0: CCLD coders/hald.la clang: warning: argument unused during compilation: '-pthread' clang: warning: argument unused...
by lleche
2013-02-10T00:49:37-07:00
Forum: Bugs
Topic: Can't build ImageMagick anymore.
Replies: 1
Views: 2798

Can't build ImageMagick anymore.

Since a week or so I can't build Imagemagick anymore. Latest attempt was using ImageMagick 6.8.2-8, on MacOS X (10.7.5) using uptodate macports libraries. Seems that the issue is with graphviz library (I have graphviz @2.30.0, Revision 2 (graphics) installed) Here is part of the log file: CC coders/...
by lleche
2012-12-20T22:57:42-07:00
Forum: Developers
Topic: Problem with compiling PerlMagick.
Replies: 2
Views: 5302

Re: Problem with compiling PerlMagick.

Thanks. The lib directory contains libMagickCore-Q16HDRI, I edited the lines accordingly and this worked perfectly.
by lleche
2012-12-20T11:50:29-07:00
Forum: Developers
Topic: Problem with compiling PerlMagick.
Replies: 2
Views: 5302

Problem with compiling PerlMagick.

I am trying to compile PerlMagick from ImageMagick version 6.8.1.0, on MacOSX 10.7.5. The corresponding ImageMagick version is installed via MacPorts, without much issues. 'convert -version' command seems to report a successfull installation. But lines 165, 167 and 168 of Makefile.PL file in PerlMag...
by lleche
2012-11-25T14:54:01-07:00
Forum: Bugs
Topic: Problem with convert
Replies: 4
Views: 5039

Problem with convert

The following command does not work anymore: convert -background lightblue -fill blue -font Verdana -size x40 label:Anthony label_size_height.gif Just hang forever. Seems to be due to the size parameter (-size 140x40 works fine) Is it a known issue? Version: ImageMagick 6.8.0-6 2012-11-25 Q16 http:/...